Page MenuHomePhabricator

Upgrade Toolforge Kubernetes to latest 1.22
Closed, ResolvedPublic

Description

Kubernetes 1.22 is out. This task to collect all blockers for the upgrade in one place, since it removes a bunch of stuff.

Note that several subtasks are blockers due to the certificates API changes, including T292238 and T286857. There may be more as we get closer.

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
Openaborrero
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
ResolvedBstorm
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedrook
Resolvedtaavi
Resolvedtaavi
Resolvedrook
Resolvedtaavi
Resolvedrook
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
ResolvedBstorm
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi
ResolvedBstorm
DeclinedNone
Resolvedrook
Resolvedtaavi
ResolvedBUG REPORTNone
OpenNone
Resolvedtaavi
Resolvedtaavi
OpenNone
Resolvedrook
Resolvedtaavi
ResolvedBUG REPORTtaavi
Resolvedtaavi
Resolvedtaavi
Resolvedtaavi

Event Timeline

taavi changed the task status from Open to Stalled.Jul 18 2021, 7:28 AM
taavi created this task.

Change 802146 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] aptrepo: add thirdparty/kubeadm-k8s-1-22

https://gerrit.wikimedia.org/r/802146

Change 802146 merged by David Caro:

[operations/puppet@production] aptrepo: add thirdparty/kubeadm-k8s-1-22

https://gerrit.wikimedia.org/r/802146

taavi moved this task from Backlog to In Progress on the Toolforge board.

All of the blockers have been resolved so we can now start thinking about timelines for the actual upgrade. A change to the timeline this time is that PAWS no longer uses the same Puppetization and will be upgraded separately. With that and my personal schedules in mind I propose the following:

  • toolsbeta: Upgrade this week, either tomorrow or on Wednesday.
  • tools: Upgrade on Wednesday, March 22nd.

Any objections?

All of the blockers have been resolved so we can now start thinking about timelines for the actual upgrade. A change to the timeline this time is that PAWS no longer uses the same Puppetization and will be upgraded separately. With that and my personal schedules in mind I propose the following:

  • toolsbeta: Upgrade this week, either tomorrow or on Wednesday.
  • tools: Upgrade on Wednesday, March 22nd.

Any objections?

The toolsbeta proposal is fine.

March 22nd for tools is not a good date for us the WMCS team. That whole week we will be at a team offsite, so not in the usual setup and likely not able to spend much time at the keyboard/terminal.

March 22nd for tools is not a good date for us the WMCS team. That whole week we will be at a team offsite, so not in the usual setup and likely not able to spend much time at the keyboard/terminal.

Good to know, thanks. Next week does not work for me, nor does the week starting the 27th, so looks like this needs to be pushed into April. What about the week starting April 3rd?

Good to know, thanks. Next week does not work for me, nor does the week starting the 27th, so looks like this needs to be pushed into April. What about the week starting April 3rd?

That could work, but mind that is the Easter/Holy week and some countries (including mine) have at least 2 bank holidays and could be a short week. Anyway, I'm planning to me on the laptop monday to wednesday.

That could work, but mind that is the Easter/Holy week and some countries (including mine) have at least 2 bank holidays and could be a short week. Anyway, I'm planning to me on the laptop monday to wednesday.

I'm aware but I think it's fine if we do it early in the week. Would Monday work for you? Do you have any time preferences?

That could work, but mind that is the Easter/Holy week and some countries (including mine) have at least 2 bank holidays and could be a short week. Anyway, I'm planning to me on the laptop monday to wednesday.

I'm aware but I think it's fine if we do it early in the week. Would Monday work for you? Do you have any time preferences?

Work for me. Will validate with the rest of the WMCS team. Time could be about 10:00 AM UTC.

Mentioned in SAL (#wikimedia-operations) [2023-03-07T10:28:37Z] <arturo> apt1001: pull latest packages for thirdparty/kubeadm-k8s-1-22 buster-wikimedia (T286856)

Mentioned in SAL (#wikimedia-operations) [2023-03-07T10:48:31Z] <arturo> apt2001: pull latest packages for thirdparty/kubeadm-k8s-1-22 buster-wikimedia (T286856)

Mentioned in SAL (#wikimedia-cloud) [2023-03-07T11:08:59Z] <taavi> upgrading kubernetes to 1.22 T286856

Mentioned in SAL (#wikimedia-cloud) [2023-04-10T09:16:32Z] <arturo> upgrading k8s cluster to 1.22 (T286856)

Change 907448 had a related patch set uploaded (by Arturo Borrero Gonzalez; author: Arturo Borrero Gonzalez):

[operations/puppet@production] wmcs-k8s-node-upgrade.py: upgrade version defaults

https://gerrit.wikimedia.org/r/907448

Change 907448 merged by Arturo Borrero Gonzalez:

[operations/puppet@production] wmcs-k8s-node-upgrade.py: upgrade version defaults

https://gerrit.wikimedia.org/r/907448

Captured notes for future reference: https://wikitech.wikimedia.org/wiki/Portal:Toolforge/Admin/Kubernetes/Upgrading_Kubernetes/1.21_to_1.22_notes

Thanks @taavi for preparing the upgrade. I just needed to click a few buttons because he's been doing the heavy lifting work for months prior to that.

Change 908275 had a related patch set uploaded (by Majavah; author: Majavah):

[operations/puppet@production] aptrepo: Drop kubernetes 1.21 components

https://gerrit.wikimedia.org/r/908275

Change 908275 merged by Arturo Borrero Gonzalez:

[operations/puppet@production] aptrepo: Drop kubernetes 1.21 components

https://gerrit.wikimedia.org/r/908275